summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-04-17 15:38:52 +0200
committerHolger Levsen <holger@layer-acht.org>2014-04-17 15:38:52 +0200
commit5576c102a2b0c0304eba3dda096af1946cfeba08 (patch)
treeaeb22a432e9e6df1ccc55be40337f73788ad05b6 /bin
parent2d343b44fc9f92fad643f4746dd7aeded9d4c662 (diff)
downloadjenkins.debian.net-5576c102a2b0c0304eba3dda096af1946cfeba08.tar.xz
g-i: special case wheezy for mounting the installed root partition, and change sid+jessie (aka the default) to reflect the changed volume group name
Diffstat (limited to 'bin')
-rwxr-xr-xbin/g-i-installation.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index 74187f44..94d6b742 100755
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -909,7 +909,7 @@ save_logs() {
SYSTEM_MNT=/media/$NAME
sudo mkdir -p $SYSTEM_MNT
# FIXME: bugreport guestmount: -o uid doesnt work:
- # "sudo guestmount -o uid=$(id -u) -o gid=$(id -g)" would be nicer, bt it doesnt work: as root, the files seem to belong to jenkins, but as jenkins they cannot be accessed
+ # "sudo guestmount -o uid=$(id -u) -o gid=$(id -g)" would be nicer, but it doesnt work: as root, the files seem to belong to jenkins, but as jenkins they cannot be accessed
case $NAME in
debian-edu_*_workstation) sudo guestmount -a $NAME.raw -m /dev/vg_system/root --ro $SYSTEM_MNT || ( echo "Warning: cannot mount /dev/vg_system/root" ; figlet "fail" )
;;
@@ -921,7 +921,9 @@ save_logs() {
debian-edu_*) sudo guestmount -a $NAME.raw -m /dev/vg_system/root --ro $SYSTEM_MNT || ( echo "Warning: cannot mount /dev/vg_system/root" ; figlet "fail" )
sudo guestmount -a $NAME.raw -m /dev/vg_system/var -o nonempty --ro $SYSTEM_MNT/var || ( echo "Warning: cannot mount /dev/vg_system/var" ; figlet "fail" )
;;
- *) sudo guestmount -a $NAME.raw -m /dev/debian/root --ro $SYSTEM_MNT || ( echo "Warning: cannot mount /dev/debian/root" ; figlet "fail" )
+ debian_wheezy_*) sudo guestmount -a $NAME.raw -m /dev/debian/root --ro $SYSTEM_MNT || ( echo "Warning: cannot mount /dev/debian/root" ; figlet "fail" )
+ ;;
+ *) sudo guestmount -a $NAME.raw -m /dev/debian-vg/root --ro $SYSTEM_MNT || ( echo "Warning: cannot mount /dev/debian-vg/root" ; figlet "fail" )
;;
esac
#